Delete Site-Department relationship.

Permission Level: Read-Write

DELETE /users/site/relation

Operation id: SiteService_DeleteSiteDepartmentRelationship

Tags: SiteService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
relationshipNamestringNo
siteDepartmentRelationTypestringNoEnum with all possible values for the Site-Department relation type.
departmentsarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "relationshipName": {
      "type": "string"
    },
    "siteDepartmentRelationType": {
      "type": "string",
      "description": "Enum with all possible values for the Site-Department relation type.",
      "enum": [
        "SITE_TYPE",
        "SITE_TIER"
      ],
      "default": "SITE_TYPE"
    },
    "departments": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "Used to lookup the department for validation"
          },
          "departmentName": {
            "type": "string",
            "description": "Populates propertyNameStatusValues.propertyNameStatusValues.name"
          },
          "departmentFriendlyName": {
            "type": "string",
            "description": "Populates propertyNameStatusValues.propertyNameStatusValues.friendlyName"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}